#! /bin/bash

function ask() {

    COLUMNS=$(tput cols);
    LINES=$(tput lines);

    bgcolor=$(tput setab 0)
    bold=$(tput bold);
    unbold=$(tput sgr0);

if [ "$COLUMNS" -gt 210 ] &&  [ "$LINES" -gt 30 ] ; then
        WAIT=$(cat <<'END_HEREDOC'

  /\\\              /\\\              /\\\\\\\\\              /\\\\\\\\\\\           /\\\\\\\\\\\\\\\
  \/\\\             \/\\\            /\\\\\\\\\\\\\           \/////\\\///           \///////\\\/////
   \/\\\             \/\\\           /\\\/////////\\\              \/\\\                    \/\\\
    \//\\\    /\\\    /\\\           \/\\\       \/\\\              \/\\\                    \/\\\
      \//\\\  /\\\\\  /\\\            \/\\\\\\\\\\\\\\\              \/\\\                    \/\\\
        \//\\\/\\\/\\\/\\\             \/\\\/////////\\\              \/\\\                    \/\\\
          \//\\\\\\//\\\\\              \/\\\       \/\\\              \/\\\                    \/\\\
            \//\\\  \//\\\               \/\\\       \/\\\           /\\\\\\\\\\\                \/\\\
              \///    \///                \///        \///           \///////////                 \///

END_HEREDOC
        );
        NUMBER_3=$(cat <<'END_HEREDOC'
  /\\\\\\\\\\\\\\\           /\\\        /\\\             /\\\\\\\\\               /\\\\\\\\\\\\\\\           /\\\\\\\\\\\\\\\
  \///////\\\/////           \/\\\       \/\\\           /\\\///////\\\            \/\\\///////////           \/\\\///////////
         \/\\\                \/\\\       \/\\\          \/\\\     \/\\\            \/\\\                      \/\\\
          \/\\\                \/\\\\\\\\\\\\\\\          \/\\\\\\\\\\\/             \/\\\\\\\\\\\              \/\\\\\\\\\\\
           \/\\\                \/\\\/////////\\\          \/\\\//////\\\             \/\\\///////               \/\\\///////
            \/\\\                \/\\\       \/\\\          \/\\\    \//\\\            \/\\\                      \/\\\
             \/\\\                \/\\\       \/\\\          \/\\\     \//\\\           \/\\\                      \/\\\
              \/\\\                \/\\\       \/\\\          \/\\\      \//\\\          \/\\\\\\\\\\\\\\\          \/\\\\\\\\\\\\\\\
               \///                 \///        \///           \///        \///           \///////////////           \///////////////
END_HEREDOC
        );
        NUMBER_2=$(cat <<'END_HEREDOC'

  /\\\\\\\\\\\\\\\           /\\\              /\\\                /\\\\\
  \///////\\\/////           \/\\\             \/\\\              /\\\///\\\
         \/\\\                \/\\\             \/\\\            /\\\/  \///\\\
          \/\\\                \//\\\    /\\\    /\\\            /\\\      \//\\\
           \/\\\                 \//\\\  /\\\\\  /\\\            \/\\\       \/\\\
            \/\\\                  \//\\\/\\\/\\\/\\\             \//\\\      /\\\
             \/\\\                   \//\\\\\\//\\\\\               \///\\\  /\\\
              \/\\\                    \//\\\  \//\\\                  \///\\\\\/
               \///                      \///    \///                     \/////
END_HEREDOC
        );
        NUMBER_1=$(cat <<'END_HEREDOC'

       /\\\\\                /\\\\\     /\\\           /\\\\\\\\\\\\\\\
      /\\\///\\\             \/\\\\\\   \/\\\          \/\\\///////////
     /\\\/  \///\\\           \/\\\/\\\  \/\\\          \/\\\
     /\\\      \//\\\          \/\\\//\\\ \/\\\          \/\\\\\\\\\\\
     \/\\\       \/\\\          \/\\\\//\\\\/\\\          \/\\\///////
      \//\\\      /\\\           \/\\\ \//\\\/\\\          \/\\\
        \///\\\  /\\\             \/\\\  \//\\\\\\          \/\\\
           \///\\\\\/              \/\\\   \//\\\\\          \/\\\\\\\\\\\\\\\
              \/////                \///     \/////           \///////////////
END_HEREDOC
        );
        ASK=$(cat <<'END_HEREDOC'
     /\\\\\\\\\                 /\\\\\\\\\\\             /\\\        /\\\
    /\\\\\\\\\\\\\             /\\\/////////\\\          \/\\\     /\\\//
    /\\\/////////\\\           \//\\\      \///           \/\\\  /\\\//
    \/\\\       \/\\\            \////\\\                  \/\\\\\\//\\\
     \/\\\\\\\\\\\\\\\               \////\\\               \/\\\// \//\\\
      \/\\\/////////\\\                  \////\\\            \/\\\    \//\\\
       \/\\\       \/\\\           /\\\      \//\\\           \/\\\     \//\\\
        \/\\\       \/\\\          \///\\\\\\\\\\\/            \/\\\      \//\\\
         \///        \///             \///////////              \///        \///

     /\\\        /\\\                /\\\\\                /\\\        /\\\             /\\\\\\\\\
     \///\\\    /\\\/               /\\\///\\\             \/\\\       \/\\\           /\\\///////\\\
        \///\\\/\\\/               /\\\/  \///\\\           \/\\\       \/\\\          \/\\\     \/\\\
           \///\\\/                /\\\      \//\\\          \/\\\       \/\\\          \/\\\\\\\\\\\/
              \/\\\                \/\\\       \/\\\          \/\\\       \/\\\          \/\\\//////\\\
               \/\\\                \//\\\      /\\\           \/\\\       \/\\\          \/\\\    \//\\\
                \/\\\                 \///\\\  /\\\             \//\\\      /\\\           \/\\\     \//\\\
                 \/\\\                   \///\\\\\/               \///\\\\\\\\\/            \/\\\      \//\\\
                  \///                      \/////                   \/////////              \///        \///


        /\\\                 /\\\        /\\\           /\\\\\\\\\\\\\\\              /\\\\\\\\\\\             /\\\\\\\\\\\\\\\           /\\\\\\\\\\\                /\\\\\                /\\\\\     /\\\
      /\\\\/\\\\             \/\\\       \/\\\          \/\\\///////////             /\\\/////////\\\          \///////\\\/////           \/////\\\///               /\\\///\\\             \/\\\\\\   \/\\\
     /\\\//\////\\\           \/\\\       \/\\\          \/\\\                       \//\\\      \///                 \/\\\                    \/\\\                /\\\/  \///\\\           \/\\\/\\\  \/\\\
     /\\\      \//\\\          \/\\\       \/\\\          \/\\\\\\\\\\\                \////\\\                        \/\\\                    \/\\\               /\\\      \//\\\          \/\\\//\\\ \/\\\
     \//\\\      /\\\           \/\\\       \/\\\          \/\\\///////                    \////\\\                     \/\\\                    \/\\\              \/\\\       \/\\\          \/\\\\//\\\\/\\\
       \///\\\\/\\\\/            \/\\\       \/\\\          \/\\\                              \////\\\                  \/\\\                    \/\\\              \//\\\      /\\\           \/\\\ \//\\\/\\\
          \////\\\//              \//\\\      /\\\           \/\\\                       /\\\      \//\\\                 \/\\\                    \/\\\               \///\\\  /\\\             \/\\\  \//\\\\\\
              \///\\\\\\            \///\\\\\\\\\/            \/\\\\\\\\\\\\\\\          \///\\\\\\\\\\\/                  \/\\\                 /\\\\\\\\\\\             \///\\\\\/              \/\\\   \//\\\\\
                 \//////               \/////////              \///////////////             \///////////                    \///                 \///////////                \/////                \///     \/////
END_HEREDOC
        );
    elif [ "$COLUMNS" -gt 164 ] &&  [ "$LINES" -gt 42 ] ; then
        WAIT=$(cat <<'END_HEREDOC'

      ___________             ___________          __________              _______________       ________       ________       _________
     /::::::::::/|           |\::::::::::\      /:::::::::::::\           |::::::::::::::::\    /::::::::\_____/::::::::\     |:::::::::|
    /::::::::::/:|           |:\::::::::::\    /::::::_____::::\           \___/\:::::\\___/|  |\:::::::::::::::::::::::/|    |:::::::::|
   |::::::::::/::|  _______  |::\::::::::::|  |::::::/     \::::\          \|____\:::::\___|/  |:\:::::::::::::::::::::/:|    |:::::::::|
   |::::::::::|::| |:::::::| |::|::::::::::|  |:::::|       |:::::\               |:::::|      |::|::::::::::::::::::::|:|     |:::::::/
   |::::::::::|::| |:::::::| |::|::::::::::|  |:::::|       |:::::|               |:::::|      |::\::::::::::::::::::::|:|       |::::|
   |::::::::::|::| |:::::::| |::|::::::::::|  |:::::|       |:::::|               |:::::|      |:: \_____/\::::::\____/::/       |::::|
   |::::::::::|::| |:::::::| |::|::::::::::|  |:::::|       |:::::\               |:::::|       \__|_____|:\::::::\___|/         |::::|
   |::::::::::|::| |:::::::| |::|::::::::::|  |:::::|       |::::::\              |:::::|                \::\::::::\             |::::|
   |:::::::::::\:| |:::::::| |:/:::::::::::|  |::::::\_____/::::::::\        __  /::::::/ __              \::\::::::\            \\__//
    |::::::::::|\\ /:::::::\ //|::::::::::|   |\:::::::::::/\::::::::\      /::\/::::::/_/::|              \::\::::::\          ________
    |\__________\ \________/ /___________/|    |\___________\:\________\   |_______________/:|              \::\______\        |_________\
    |:|:::::::::|  |:::::::|  |:::::::::|:|    |:::|:::::::::|:|::::::::|  |::::::::::::::|:/                \:|:::::::|       |:::::::::|
    |:|:::::::::|  |:::::::|  |:::::::::|:|     |::|:::::::::|:|::::::::|  |::::::::::::::|:/                 \:|:::::::|      |:::::::::|
     \|_________|\ |_______| /|_________|/       \_|_________|\|________|  |______________|/                   \|_______|      |_________|

END_HEREDOC
        );
        NUMBER_3=$(cat <<'END_HEREDOC'

                                                                                         _____           _____
                ________    ________          __     __        ___________          _____\::::\:    _____\::::\
               /::::::::\  /::::::::\        /::\   /::\       \::::::::::\        /::::/ |::::|   /::::/ |::::|
              |\:::::::::\/:::::::::/|      /:::/| |\:::\       \::::/\::::\      /::::/  /___/|  /::::/  /___/|
              |:\::::::::::::/\____/:|     /::://   \\:::\       |:::\_\::::|    |::::|__ |___|/ |::::|__ |___|/
              |::\______/\:::\:::::|:|    /::::\_____/::::\      |::::::___/     |:::::::\       |:::::::\
               \:|::::::|:\:::\____|/    /::::/\_____/\::::\     |::::::\  ____  |:::::__/ __    |:::::__/:__
                \|______|::\:::\        /:::://\_____/\\::::\   /:::::/\:\/::::\ |\::::\::/::\   |\::::\::/::\
  ___    ___             \::\___\      /____/:|       |:\____\ /_____/:|\______| |:\____\/::::|  |:\____\/::::|    ___    ___
 |:::|  |:::|             \:|:::|      |::::|:|       |:|::::| |:::::|:|:|:::::| |:|::::|____/|  |:|::::|____/|   |:::|  |:::|
 |___|  |___|              \|___|      |____|/         \|____| |_____|/ \|_____|  \|____|:::|:|   \|____|:::|:|   |___|  |___|
                                                                                        |___|/          |___|/

END_HEREDOC
        );
        NUMBER_2=$(cat <<'END_HEREDOC'

                ________    ________      _______     _______           ____
               /::::::::\::/::::::::\    /::::::/|   |\::::::\      ____\_::\__
              |\:::::::::\/:::::::::/|  /::::::/:|   |:\::::::\    /:::::/:::::\
              |:\::::::::::::/\____/:| |::::::/::|___|::\::::::|  /:::::/\::::::|
              |::\______/\:::\:::::|:| |::::::|::|:::|::|::::::| |:::::|::|:::::|
               \:|::::::|:\:::\____|/  |:::::::\:\:::/:/:::::::| |:::::|::|:::::|
                \|______|::\:::\       |::::::|\\/:::\//|::::::| |:::::|:/:::::/|
  ___    ___             \::\___\      |\_____\|\_____/|/_____/| |\:::::\_____/:|   ___    ___
 |:::|  |:::|             \:|:::|      |:|:::::|:|:::|:|:::::|:| |:\_____\:::|:/   |:::|  |:::|
 |___|  |___|              \|___|       \|_____|\|___|/|_____|/   \:|::::|___|/    |___|  |___|
                                                                   \|____|

END_HEREDOC
        );
        NUMBER_1=$(cat <<'END_HEREDOC'

                                                           _____
                     ____       _____    _____        _____\::::\
                 ____\_::\__   |\::::\:::\::::\      /::::/:|::::|
                /:::::/:::::\:  \\::::\:::|::::|    /::::/::/___/|
               /:::::/\::::::|   \\::::\::|::::|   |::::|__:|___|/
              |:::::|::|:::::|    \|::::\:|::::|   |:::::::\:::::
              |:::::|::|:::::|     |:::::\|::::|   |:::::__/:__::
              |:::::|:/:::::/|    /:::::/\::::::\  |\::::\::/::\:
  ___    ___  |\:::::\_____/:|   /_____/:/______/| |:\____\/::::|    ___    ___
 |:::|  |:::| |:\_____\:::|:/   |::::::|:|:::::|:| |:|::::|____/|   |:::|  |:::|
 |___|  |___|  \:|::::|___|/    |______|/|_____|/   \|____|:::|:|   |___|  |___|
                \|____|                                    |___|/

END_HEREDOC
        );

        ASK=$(cat <<'END_HEREDOC'

    _____                       _____     ______   _______             ______   _____         ____      ______   _____     ___________
  /::::::|_                _____\::::\   |\:::::\  \::::::\           |\:::::\ |:::::|    ____\_::\__   \:::::\  \::::\    \:::::::::::\
 /:::::::::\              /::::/ \::::|   \\:::::\  |:::::/|          \ \:::::\|:::::|   /::::::/:::::\   \::::|  |::::|     \::::/\::::\
|:::::/\::::\            |::::|  /___/|    \|:::::|/::::://            \ \:::::::::::|  /::::::/\::::::|   |:::|  |::::|      |:::\_\::::|
|::::|  |::::\        ____\::::\ |:::||     |:::::|:::: //               \ \____::::: | |:::::|  |:::::|   |::::\_/:::/|      |::::: ___/
|:::::\/::::::\      /::::/\::::\|___|/     |:::::|\:::::\                \|___/:::::/| |:::::|  |:::::|   |\:::::::::\|      |::::::\  ____
|\::::::/\:::::\    |::::|/ \::::\         /:::::/|\|:::::|                  /:::::/:|  |:::::| /:::::/|   |:\::::::::::\__   /::::/\ \/::::\
|:\_____\ \_____\   |\____\ /____/|       /_____/:|/_____/|                 /_____/::/  |\::::\_____/:|    \:\_____/\:::::\ /_____/:|\______|
|:|:::::| |:::::|   | |:::||::::| |      |:::::|:/ |::::|:|                 |:::::|:/   | \_____\:::|:/      \:|::::|/___/| |:::::|:|:|:::::|
 \|_____|\|_____|    \|___||____|/       |_____|/  |____|/                  |_____|/     \ |::::|___|/        \|____|:::| | |_____|/ \|_____|
                                                                                          \|____|                   |___|/
      ______                                    _____
   ___\__:::\_      ______   _____         _____\::::\                _____       ________    ________       ____________            ____         _____    _____
  /:::::/:::::\     \:::::\  \::::\       /::::/ |::::|          _____\::::\     /::::::::\  /::::::::\     /::::::::::::\       ____\_::\__     |\::::\   \::::\
 /:::::/\:::::|      \::::|  |::::|      /::::/  /___/|         /::::/ \::::|   |\:::::::::\/:::::::::/|   |\___/\::\\___/|     /:::::/:::::\     \\::::\   |::::|
|:::::|  |::::|       |:::|  |::::|      ::::|__ |___|/        |::::|  /___/|   | \::::::::::::/\____/:|    \|____\::\___|/    /:::::/\::::::|     \\::::\  |::::|
|:::::| /:::::|       |::::\_/:::/|      :::::::\           ____\::::\ |:::||   |  \______/\:::\:::::|:|          |::|        |:::::|  |:::::|      \|::::\ |::::|
|:::::|/:::::/|       |\:::::::::\|      :::::__/ __       /::::/\::::\|___|/    \ |::::::|:\:::\____|/      __  /:::/ __     |:::::|  |:::::|       |:::::\|::::|
|\:::::\_:::/_|_      | \:::::::::\__    \::::\  /::\     |::::|/ \::::\          \|______|::\:::\          /::\/:::/_/::|    |:::::| /:::::/|      /:::::/\::::::\
|:\_____\\______\      \ \_____/\::::\   :\____\/::::|    |\____\ /____/|                  \::\___\        |____________/|    |\:::::\_____/:|     /_____/ /______/|
|:|:::::|:::::::|       \ |::::|/___/|   :|::::|____/|    |:|:::||::::|:|                   \:|:::|        |:::::::::::|:/    |:\_____\:::|:/     |::::::| |:::::|:|
 \|_____|_______|        \|____|:::| |   \|____|:::|:|     \|___||____|/                     \|___|        |___________|/      \:|::::|___|/      |______|/|_____|/
                               |___|/          |___|/                                                                           \|____|

END_HEREDOC
        );
    elif [ "$COLUMNS" -gt 144 ] &&  [ "$LINES" -gt 47 ] ; then
        WAIT=$(cat <<'END_HEREDOC'

    WWWWWWWW                           WWWWWWWW       AAA                  IIIIIIIIII   TTTTTTTTTTTTTTTTTTTTTTT
    W::::::W                           W::::::W      A:::A                 I::::::::I   T:::::::::::::::::::::T
    W::::::W                           W::::::W     A:::::A                I::::::::I   T:::::::::::::::::::::T
    W::::::W                           W::::::W    A:::::::A               II::::::II   T:::::TT:::::::TT:::::T
     W:::::W           WWWWW           W:::::W    A:::::::::A                I::::I     TTTTTT  T:::::T  TTTTTT
      W:::::W         W:::::W         W:::::W    A:::::A:::::A               I::::I             T:::::T
       W:::::W       W:::::::W       W:::::W    A:::::A A:::::A              I::::I             T:::::T
        W:::::W     W:::::::::W     W:::::W    A:::::A   A:::::A             I::::I             T:::::T
         W:::::W   W:::::W:::::W   W:::::W    A:::::A     A:::::A            I::::I             T:::::T
          W:::::W W:::::W W:::::W W:::::W    A:::::AAAAAAAAA:::::A           I::::I             T:::::T
           W:::::W:::::W   W:::::W:::::W    A:::::::::::::::::::::A          I::::I             T:::::T
            W:::::::::W     W:::::::::W    A:::::AAAAAAAAAAAAA:::::A         I::::I             T:::::T
             W:::::::W       W:::::::W    A:::::A             A:::::A      II::::::II         TT:::::::TT
              W:::::W         W:::::W    A:::::A               A:::::A     I::::::::I         T:::::::::T
               W:::W           W:::W    A:::::A                 A:::::A    I::::::::I         T:::::::::T
                WWW             WWW    AAAAAAA                   AAAAAAA   IIIIIIIIII         TTTTTTTTTTT

END_HEREDOC
        );
        NUMBER_3=$(cat <<'END_HEREDOC'


                                  333333333333333
                                 3:::::::::::::::33
                                 3::::::33333::::::3
                                 3333333     3:::::3
                                             3:::::3
                                             3:::::3
                                     33333333:::::3
                                     3:::::::::::3
                                     33333333:::::3
                                             3:::::3
                                             3:::::3
                                             3:::::3
                                 3333333     3:::::3
    ......    ......    ......   3::::::33333::::::3    ......    ......    ......
    .::::.    .::::.    .::::.   3:::::::::::::::33     .::::.    .::::.    .::::.
    ......    ......    ......    333333333333333       ......    ......    ......

END_HEREDOC
        );
        NUMBER_2=$(cat <<'END_HEREDOC'


                                  222222222222222
                                 2:::::::::::::::22
                                 2::::::222222:::::2
                                 2222222     2:::::2
                                             2:::::2
                                             2:::::2
                                          2222::::2
                                     22222::::::22
                                   22::::::::222
                                  2:::::22222
                                 2:::::2
                                 2:::::2
                                 2:::::2       222222
    ......    ......    ......   2::::::2222222:::::2    ......    ......    ......
    .::::.    .::::.    .::::.   2::::::::::::::::::2    .::::.    .::::.    .::::.
    ......    ......    ......   22222222222222222222    ......    ......    ......

END_HEREDOC
        );
        NUMBER_1=$(cat <<'END_HEREDOC'


                                   1111111
                                  1::::::1
                                 1:::::::1
                                 111:::::1
                                    1::::1
                                    1::::1
                                    1::::1
                                    1::::l
                                    1::::l
                                    1::::l
                                    1::::l
                                    1::::l
                                 111::::::111
    ......    ......    ......   1::::::::::1    ......    ......    ......
    .::::.    .::::.    .::::.   1::::::::::1    .::::.    .::::.    .::::.
    ......    ......    ......   111111111111    ......    ......    ......

END_HEREDOC
        );

        ASK=$(cat <<'END_HEREDOC'

                                      kkkkkkkk
                                      k::::::k
                                      k::::::k
                                      k::::::k
      aaaaaaaaaaaaa      ssssssssss    k:::::k    kkkkkkk     yyyyyyy           yyyyyyy ooooooooooo   uuuuuu    uuuuuu rrrrr   rrrrrrrrr
      a::::::::::::a   ss::::::::::s   k:::::k   k:::::k       y:::::y         y:::::yoo:::::::::::oo u::::u    u::::u r::::rrr:::::::::r
      aaaaaaaaa:::::ass:::::::::::::s  k:::::k  k:::::k         y:::::y       y:::::yo:::::::::::::::ou::::u    u::::u r:::::::::::::::::r
               a::::as::::::ssss:::::s k:::::k k:::::k           y:::::y     y:::::y o:::::ooooo:::::ou::::u    u::::u rr::::::rrrrr::::::r
        aaaaaaa:::::a s:::::s  ssssss  k::::::k:::::k             y:::::y   y:::::y  o::::o     o::::ou::::u    u::::u  r:::::r     r:::::r
      aa::::::::::::a   s::::::s       k:::::::::::k               y:::::y y:::::y   o::::o     o::::ou::::u    u::::u  r:::::r     rrrrrrr
     a::::aaaa::::::a      s::::::s    k:::::::::::k                y:::::y:::::y    o::::o     o::::ou::::u    u::::u  r:::::r
    a::::a    a:::::assssss   s:::::s  k::::::k:::::k                y:::::::::y     o::::o     o::::ou:::::uuuu:::::u  r:::::r
    a::::a    a:::::as:::::ssss::::::sk::::::k k:::::k                y:::::::y      o:::::ooooo:::::ou:::::::::::::::uur:::::r
    a:::::aaaa::::::as::::::::::::::s k::::::k  k:::::k                y:::::y       o:::::::::::::::o u:::::::::::::::ur:::::r
     a::::::::::aa:::as:::::::::::ss  k::::::k   k:::::k              y:::::y         oo:::::::::::oo   uu::::::::uu:::ur:::::r
      aaaaaaaaaa  aaaa sssssssssss    kkkkkkkk    kkkkkkk            y:::::y            ooooooooooo       uuuuuuuu  uuuurrrrrrr
                                                                    y:::::y
                                                                   y:::::y
                                                                  y:::::y
                                                                 y:::::y
                                                                yyyyyyy


                                                                                        tttt            iiii
                                                                                     ttt:::t           i::::i
                                                                                     t:::::t            iiii
                                                                                     t:::::t
       qqqqqqqqq   qqqqquuuuuu    uuuuuu      eeeeeeeeeeee        ssssssssss   ttttttt:::::ttttttt    iiiiiii    ooooooooooo   nnnn  nnnnnnnn
      q:::::::::qqq::::qu::::u    u::::u    ee::::::::::::ee    ss::::::::::s  t:::::::::::::::::t    i:::::i  oo:::::::::::oo n:::nn::::::::nn
     q:::::::::::::::::qu::::u    u::::u   e::::::eeeee:::::eess:::::::::::::s t:::::::::::::::::t     i::::i o:::::::::::::::on::::::::::::::nn
    q::::::qqqqq::::::qqu::::u    u::::u  e::::::e     e:::::es::::::ssss:::::stttttt:::::::tttttt     i::::i o:::::ooooo:::::onn:::::::::::::::n
    q:::::q     q:::::q u::::u    u::::u  e:::::::eeeee::::::e s:::::s  ssssss       t:::::t           i::::i o::::o     o::::o  n:::::nnnn:::::n
    q:::::q     q:::::q u::::u    u::::u  e:::::::::::::::::e    s::::::s            t:::::t           i::::i o::::o     o::::o  n::::n    n::::n
    q:::::q     q:::::q u::::u    u::::u  e::::::eeeeeeeeeee        s::::::s         t:::::t           i::::i o::::o     o::::o  n::::n    n::::n
    q::::::q    q:::::q u:::::uuuu:::::u  e:::::::e           ssssss   s:::::s       t:::::t    tttttt i::::i o::::o     o::::o  n::::n    n::::n
    q:::::::qqqqq:::::q u:::::::::::::::uue::::::::e          s:::::ssss::::::s      t::::::tttt:::::ti::::::io:::::ooooo:::::o  n::::n    n::::n
     q::::::::::::::::q  u:::::::::::::::u e::::::::eeeeeeee  s::::::::::::::s       tt::::::::::::::ti::::::io:::::::::::::::o  n::::n    n::::n
      qq::::::::::::::q   uu::::::::uu:::u  ee:::::::::::::e   s:::::::::::ss          tt:::::::::::tti::::::i oo:::::::::::oo   n::::n    n::::n
        qqqqqqqq::::::q     uuuuuuuu  uuuu    eeeeeeeeeeeeee    sssssssssss              ttttttttttt  iiiiiiii   ooooooooooo     nnnnnn    nnnnnn
                q:::::q
                q:::::q
               q:::::::q
               q:::::::q
               q:::::::q
               qqqqqqqqq
END_HEREDOC
        );
    elif [ "$COLUMNS" -gt 80 ] &&  [ "$LINES" -gt 22 ] ; then

        WAIT=$(cat <<'END_HEREDOC'

888       888         d8888  8888888  88888888888
888   o   888        d88888    888        888
888  d8b  888       d88P888    888        888
888 d888b 888      d88P 888    888        888
888d88888b888     d88P  888    888        888
88888P Y88888    d88P   888    888        888
8888P   Y8888   d8888888888    888        888  d8b   d8b   d8b
888P     Y888  d88P     888  8888888      888  Y8P   Y8P   Y8P
END_HEREDOC
        );

        NUMBER_1=$(cat <<'END_HEREDOC'

                      d888
                     d8888
                       888
                       888
                       888
                       888
d8b   d8b   d8b        888        d8b   d8b   d8b
Y8P   Y8P   Y8P      8888888      Y8P   Y8P   Y8P
END_HEREDOC
        );
        NUMBER_2=$(cat <<'END_HEREDOC'

                   .d8888b.
                  d88P  Y88b
                         888
                       .d88P
                   .od888P"
                  d88P"
d8b   d8b   d8b   888"         d8b   d8b   d8b
Y8P   Y8P   Y8P   888888888    Y8P   Y8P   Y8P
END_HEREDOC
        );
        NUMBER_3=$(cat <<'END_HEREDOC'

                   .d8888b.
                  d88P  Y88b
                       .d88P
                      8888"
                       "Y8b.
                  888    888
d8b   d8b   d8b   Y88b  d88P   d8b   d8b   d8b
Y8P   Y8P   Y8P    "Y8888P"    Y8P   Y8P   Y8P
END_HEREDOC
        );
        ASK=$(cat <<'END_HEREDOC'
       d8888        888
      d88888        888
     d88P888        888
    d88P 888.d8888b 888  888   888  888 .d88b. 888  888888d888
   d88P  88888K     888 .88P   888  888d88""88b888  888888P"
  d88P   888"Y8888b.888888K    888  888888  888888  888888
 d8888888888     X88888 "88b   Y88b 888Y88..88PY88b 888888
d88P     888 88888P'888  888    "Y88888 "Y88P"  "Y88888888
                                    888
                               Y8b d88P
                                "Y88P"
                                888   d8b
                                888   Y8P
                                888
 .d88888888  888 .d88b. .d8888b 888888888 .d88b. 88888b.
d88" 888888  888d8P  Y8b88K     888   888d88""88b888 "88b
888  888888  88888888888"Y8888b.888   888888  888888  888
Y88b 888Y88b 888Y8b.         X88Y88b. 888Y88..88P888  888d8b
 "Y88888 "Y88888 "Y8888  88888P' "Y888888 "Y88P" 888  888Y8P
     888
     888
     888
END_HEREDOC
        );

    elif [ "$COLUMNS" -gt 70 ] &&  [ "$LINES" -gt 20 ] ; then
        WAIT=$(cat <<'END_HEREDOC'

 __      __  ______  ______  ______    __
/\ \  __/\ \/\  _  \/\__  _\/\__  _\  /\ \
\ \ \/\ \ \ \ \ \L\ \/_/\ \/\/_/\ \/  \ \ \
 \ \ \ \ \ \ \ \  __ \ \ \ \   \ \ \   \ \ \
  \ \ \_/ \_\ \ \ \/\ \ \_\ \__ \ \ \   \ \_\
   \ `\___x___/\ \_\ \_\/\_____\ \ \_\   \/\_\
    '\/__//__/  \/_/\/_/\/_____/  \/_/    \/_/

END_HEREDOC
        );

        NUMBER_1=$(cat <<'END_HEREDOC'
                   _
                 /' \
                /\_, \
                \/_/\ \
 __  __  __        \ \ \         __  __  __
/\_\/\_\/\_\        \ \_\       /\_\/\_\/\_\
\/_/\/_/\/_/         \/_/       \/_/\/_/\/_/

END_HEREDOC
        );
        NUMBER_2=$(cat <<'END_HEREDOC'
                 ___
               /'___`\
              /\_\ /\ \
              \/_/// /__
 __  __  __      // /_\ \      __  __  __
/\_\/\_\/\_\    /\______/     /\_\/\_\/\_\
\/_/\/_/\/_/    \/_____/      \/_/\/_/\/_/

END_HEREDOC
        );
        NUMBER_3=$(cat <<'END_HEREDOC'
                __
              /'__`\
             /\_\L\ \
             \/_/_\_<_
 __  __  __    /\ \L\ \      __  __  __
/\_\/\_\/\_\   \ \____/     /\_\/\_\/\_\
\/_/\/_/\/_/    \/___/      \/_/\/_/\/_/

END_HEREDOC
        );
        ASK=$(cat <<'END_HEREDOC'

     ______           __
    /\  _  \         /\ \
    \ \ \L\ \    ____\ \ \/'\       __  __    ___   __  __  _ __
     \ \  __ \  /',__\\ \ , <      /\ \/\ \  / __`\/\ \/\ \/\`'__\
      \ \ \/\ \/\__, `\\ \ \\`\    \ \ \_\ \/\ \L\ \ \ \_\ \ \ \/
       \ \_\ \_\/\____/ \ \_\ \_\   \/`____ \ \____/\ \____/\ \_\
        \/_/\/_/\/___/   \/_/\/_/    `/___/> \/___/  \/___/  \/_/
                                        /\___/
                                        \/__/
                                   __
                                  /\ \__  __
        __   __  __     __    ____\ \ ,_\/\_\    ___     ___
      /'__`\/\ \/\ \  /'__`\ /',__\\ \ \/\/\ \  / __`\ /' _ `\
     /\ \L\ \ \ \_\ \/\  __//\__, `\\ \ \_\ \ \/\ \L\ \/\ \/\ \  __
     \ \___, \ \____/\ \____\/\____/ \ \__\\ \_\ \____/\ \_\ \_\/\_\
      \/___/\ \/___/  \/____/\/___/   \/__/ \/_/\/___/  \/_/\/_/\/_/
           \ \_\
            \/_/

END_HEREDOC
        );
    elif [ "$COLUMNS" -gt 50 ] &&  [ "$LINES" -gt 20 ] ; then
        WAIT=$(cat <<'END_HEREDOC'
              _______ __________________
    |\     /|(  ___  )\__   __/\__   __/
    | )   ( || (   ) |   ) (      ) (
    | | _ | || (___) |   | |      | |
    | |( )| ||  ___  |   | |      | |
    | || || || (   ) |   | |      | |
    | () () || )   ( |___) (___   | |
    (_______)|/     \|\_______/   )_(   () () ()
END_HEREDOC
        );

        NUMBER_1=$(cat <<'END_HEREDOC'

               __
              /  |
              `| |
               | |
 _   _   _    _| |_    _   _   _
(_) (_) (_)   \___/   (_) (_) (_)

END_HEREDOC
        );
        NUMBER_2=$(cat <<'END_HEREDOC'

              _____
             / __  \
             `' / /'
               / /
 _   _   _   ./ /___   _   _   _
(_) (_) (_)  \_____/  (_) (_) (_)

END_HEREDOC
        );
        NUMBER_3=$(cat <<'END_HEREDOC'

              _____
             |____ |
                 / /
                 \ \
 _   _   _   .___/ /   _   _   _
(_) (_) (_)  \____/   (_) (_) (_)

END_HEREDOC
        );
        ASK=$(cat <<'END_HEREDOC'
               _
              | |
      __ _ ___| | __
     / _  / __| |/ /
    | (_| \__ \   <
     \__,_|___/_|\_\
     _   _  ___  _   _ _ __
    | | | |/ _ \| | | |  __|
    | |_| | (_) | |_| | |
     \__, |\___/ \__,_|_|
      __/ |
     |___/
                          _   _
                         | | (_)
     __ _ _   _  ___  ___| |_ _  ___  _ __
    / _  | | | |/ _ \/ __| __| |/ _ \|  _ \
   | (_| | |_| |  __/\__ \ |_| | (_) | | | |_
    \__, |\__,_|\___||___/\__|_|\___/|_| |_(_)
       | |
       |_|
END_HEREDOC
        );

    else

        WAIT=$(cat <<'END_HEREDOC'
 _ _ _   _   _  ___
| | | | / \ | ||_ _|
| V V || o || | | |
 \_n_/ |_n_||_| |_|  () () ()
END_HEREDOC
        );

        NUMBER_1=$(cat <<'END_HEREDOC'

          ___
         |_  |
 _ _ _    _| |_    _ _ _
|_|_|_|  |_____|  |_|_|_|
END_HEREDOC
        );
        NUMBER_2=$(cat <<'END_HEREDOC'

          ___
         |_  |
 _ _ _   |  _|   _ _ _
|_|_|_|  |___|  |_|_|_|
END_HEREDOC
        );
        NUMBER_3=$(cat <<'END_HEREDOC'

          ___
         |_  |
 _ _ _   |_  |   _ _ _
|_|_|_|  |___|  |_|_|_|
END_HEREDOC
        );
        ASK=$(cat <<'END_HEREDOC'
 _____     _
|  _  |___| |_    _ _ ___ _ _ ___
|     |_ -| '_|  | | | . | | |  _|
|__|__|___|_,_|  |_  |___|___|_|
                 |___|
                 _   _
 ___ _ _ ___ ___| |_|_|___ ___
| . | | | -_|_ -|  _| | . |   |_
|_  |___|___|___|_| |_|___|_|_|_|
  |_|
END_HEREDOC
        );
    fi

    if [ -x "$(command -v lolcat)" ]; then
        echo "${bold}${WAIT}${unbold}" | lolcat
        sleep 2;
        clear
        echo "${bold}${NUMBER_3}${unbold}" | lolcat
        sleep 1;
        echo "${bold}${NUMBER_2}${unbold}" | lolcat
        sleep 1;
        echo "${bold}${NUMBER_1}${unbold}" | lolcat
        sleep 1;
        clear
        echo "${bold}${ASK}${unbold}" | lolcat
    else
        echo "${bold}${WAIT}${unbold}"
        sleep 2;
        clear
        echo "${bold}${NUMBER_3}${unbold}"
        sleep 1;
        echo "${bold}${NUMBER_2}${unbold}"
        sleep 1;
        echo "${bold}${NUMBER_1}${unbold}"
        sleep 1;
        clear
        echo "${bold}${ASK}${unbold}"
    fi

    sleep 10;
    clear
}

ask;