#! /bin/bash

# Produce a colorful maze
# Credit: https://mastodon.social/@climagic/103997167300219691

COLUMNS=$(tput cols);

if ! [ -x "$(command -v lolcat)" ]; then
	grep -ao "[/\\]" /dev/urandom \
		| sed -e 's,\\,╲,' -e 's,/,╱,' \
		| tr -d \\n \
		| while read -n $COLUMNS input ;  do \
			echo $input; \
			sleep 0.2; \
		done
else
	grep -ao "[/\\]" /dev/urandom \
		| sed -e 's,\\,╲,' -e 's,/,╱,' \
		| tr -d \\n \
		| while read -n $COLUMNS input ; do \
			echo $input; \
			sleep 0.2; \
		done \
		| lolcat
fi
